### 3.6 `isdigit`—decimal digit predicate

Synopsis

    #include <ctype.h>
    int isdigit(int c);

Description
`isdigit` is a macro which classifies ASCII integer values by table lookup. It is a predicate returning non-zero for decimal digits, and 0 for other characters. It is defined only if c is representable as an unsigned char or if c is EOF.

You can use a compiled subroutine instead of the macro definition by undefining the macro using ‘`#undef isdigit`’.

Returns
`isdigit` returns non-zero if c is a decimal digit (`0`–`9`).

Portability
`isdigit` is ANSI C.

No supporting OS subroutines are required.